Bug 696786 - tracebacks occur running yum repolist after subscribing to a pool
tracebacks occur running yum repolist after subscribing to a pool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.7
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Chris Duryee
John Sefler
:
Depends On: 696947
Blocks: 675214
  Show dependency treegraph
 
Reported: 2011-04-14 16:04 EDT by John Sefler
Modified: 2012-01-04 10:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-04 10:30:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2011-04-14 16:04:33 EDT
Description of problem:
Using an onpremises candlpin server with the TESTDATA imported, I am getting a traceback in yum repolist after subscribing to a pool.

Version-Release number of selected component (if applicable):
[root@jsefler-onprem-5server ~]# rpm -q subscription-manager
subscription-manager-0.95.5.7-1.git.6.710e3f0.el5
[root@jsefler-onprem-5server ~]# rpm -q yum
yum-3.2.22-33.el5


How reproducible:


Steps to Reproduce:
[root@jsefler-onprem-5server ~]# yum repolist enabled --disableplugin=rhnplugin
Loaded plugins: product-id, security, subscription-manager
Updating Red Hat repositories.
repolist: 0

^^ no traceback as expected

[root@jsefler-onprem-5server ~]# subscription-manager register --username=testuser1 --password=password --autosubscribe
6b5a2c96-cfe2-4884-ba96-785757a755bf jsefler-onprem-5server.usersys.redhat.com
Installed Products:
   Awesome OS Modifier Bits - Subscribed
   Awesome OS Workstation Bits - Subscribed
   Awesome OS Scalable Filesystem Bits - Subscribed
   Clustering Bits - Subscribed
   Management Bits - Subscribed
   Shared Storage Bits - Subscribed
   Awesome OS Server Bits - Subscribed
   Large File Support Bits - Subscribed
   Load Balancing Bits - Subscribed
   Awesome OS Developer Bits - Not Subscribed
   Awesome OS Developer Basic - Not Subscribed
   Multiplier Product Bits - Not Subscribed
   Awesome OS for S390X Bits - Not Subscribed
   Awesome OS Premium Architecture Bits - Not Subscribed
[root@jsefler-onprem-5server ~]# yum repolist enabled --disableplugin=rhnplugin
Loaded plugins: product-id, security, subscription-manager
Updating Red Hat repositories.
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 178, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 349, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 781, in doCommand
    base.repos.populateSack()
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 260, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 168, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 226, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1233, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1406, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1398, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1388, in _loadRepoXML
    return self._groupLoadRepoXML(text, ["primary"])
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1372, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1208, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 989, in _getFileRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 826, in _getFile
    http_headers=headers,
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 412, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 398, in _mirror_try
    return func_ref( *(fullurl,), **kwargs )
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 936, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 854, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 922, in retryfunc
    fo = URLGrabberFileObject(url, filename, opts)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1010, in __init__
    self._do_open()
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1093, in _do_open
    fo, hdr = self._make_request(req, opener)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1202, in _make_request
    fo = opener.open(req)
  File "/usr/lib64/python2.4/urllib2.py", line 358, in open
    response = self._open(req, data)
  File "/usr/lib64/python2.4/urllib2.py", line 376, in _open
    '_open', req)
  File "/usr/lib64/python2.4/urllib2.py", line 337, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.4/site-packages/M2Crypto/m2urllib2.py", line 82, in https_open
    h.request(req.get_method(), req.get_selector(), req.data, headers)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
    self._send_output()
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
    self.connect()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/httpslib.py", line 47, in connect
    self.sock.connect((self.host, self.port))
  File "/usr/lib64/python2.4/site-packages/M2Crypto/SSL/Connection.py", line 174, in connect
    ret = self.connect_ssl()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/SSL/Connection.py", line 167, in connect_ssl
    return m2.ssl_connect(self.ssl, self._timeout)
M2Crypto.SSL.SSLError: tlsv1 alert unknown ca
[root@jsefler-onprem-5server ~]# 


^^^ Did not expect that traceback
Comment 1 Chris Duryee 2011-04-15 11:49:39 EDT
John,

This might be fixed by 696947, which is MODIFIED. I'm gonna mark this one the same and make it blocked by 696947. Let me know if it's not fixed.
Comment 2 spandey 2011-04-29 08:32:31 EDT
Verified using following setup :

candlepin : on-premises
Subscription-manager : 
subscription-manager-firstboot-0.95.5.8-1.git.6.42d8706.el5
subscription-manager-0.95.5.8-1.git.6.42d8706.el5
subscription-manager-gnome-0.95.5.8-1.git.6.42d8706.el5


[root@localhost product]# subscription-manager register --u admin --password admin --autosubscribe
3b8ab661-6c3f-4cc1-bbf6-87baeed450f9 localhost.localdomain
Installed Products:
   Awesome OS Modifier Bits - Subscribed
   Awesome OS Workstation Bits - Subscribed
   Shared Storage Bits - Subscribed
   Load Balancing Bits - Subscribed
   Awesome OS Server Bits - Subscribed
   Large File Support Bits - Subscribed
   Management Bits - Subscribed
   Clustering Bits - Subscribed
   Awesome OS Scalable Filesystem Bits - Subscribed
   Awesome OS Developer Bits - Not Subscribed
   Awesome OS Developer Basic - Not Subscribed
   Multiplier Product Bits - Not Subscribed
   Awesome OS Premium Architecture Bits - Not Subscribed
   Awesome OS for S390X Bits - Not Subscribed

[root@localhost product]# yum repolist enabled --disableplugin=rhnplugin
Loaded plugins: product-id, security, subscription-manager
No plugin match for: rhnplugin
Updating Red Hat repositories.
https://cdn.redhat.com/foo/path/always/repodata/repomd.xml: [Errno 14] HTTP Error 403: Forbidden
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: always-enabled-content. Please verify its path and try again


No Traceback displayed 

Moving defect status from Modified to Verified

Note You need to log in before you can comment on or make changes to this bug.